Last Comment Bug 836415 - Kill PFS
: Kill PFS
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: unspecified
: x86 All
-- normal with 2 votes (vote)
: mozilla35
Assigned To: Justin Dolske [:Dolske]
:
: Benjamin Smedberg [:bsmedberg]
Mentors:
: 751100 (view as bug list)
Depends on: 836420 845638 846990 848160 1071069
Blocks: 1071161
  Show dependency treegraph
 
Reported: 2013-01-30 11:37 PST by Christian Sonne [:cers]
Modified: 2015-06-14 10:42 PDT (History)
22 users (show)
benjamin: firefox‑backlog+
mmucci: qe‑verify-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: 35.2
Points: 5
Has Regression Range: ---
Has STR: ---


Attachments
Patch v.1 (143.51 KB, patch)
2014-09-13 17:16 PDT, Justin Dolske [:Dolske]
benjamin: review+
Details | Diff | Splinter Review
Patch v.2 (144.37 KB, patch)
2014-09-15 13:11 PDT, Justin Dolske [:Dolske]
no flags Details | Diff | Splinter Review

Description User image Christian Sonne [:cers] 2013-01-30 11:37:25 PST
This bug will track the changes needed to remove PFS from Firefox and services
Comment 1 User image Stephen Donner [:stephend] 2013-03-06 23:46:03 PST
Can you link to a blog post, or a Wiki page, or a dev.planning post, or something?  Where did this come from?
Comment 2 User image Benjamin Smedberg [:bsmedberg] 2013-03-07 06:17:26 PST
It was mentioned briefly at https://groups.google.com/forum/?fromgroups=#!topic/mozilla.dev.apps.firefox/8CIIiXypoXY
Comment 3 User image Hector Zhao [:hectorz] 2014-09-12 00:53:30 PDT
Hi Benjamin,

As you may know, the mozillaonline repack distributed by Beijing office used to have its own pfs server for extra Chinese sites/services specific plugins (bug 836420 comment 21). Most of these plugins do not need PFS for discovery and installation any more. However, there are still major websites here relying on PFS for Flash Player, such as Tencent video[1], Tencent Q-zone[2] and 4399 online games[3].

I'd like to know when and how will this "kill PFS with fire" (bug 836420 comment 22) happen? As Flash Player is also the top plugin globally (bug 848160 comment 2), will there be any kind of special treatment for Flash Player this time? Thanks!

[1]: http://v.qq.com/
[2]: http://qzone.qq.com/
[3]: http://www.4399.com/
Comment 4 User image Benjamin Smedberg [:bsmedberg] 2014-09-12 05:54:17 PDT
Hector, there is no special treatment planned for Flash. Pretty much every site I've seen either falls back reasonably to HTML5 video, or prompts the user to install Flash using JS. Is that really not the case for major video sites?

Also note that since Flash is bundled with Windows 8+, we'd only be talking about new installs of Windows 7 or older, which isn't a growth market.
Comment 5 User image Justin Dolske [:Dolske] 2014-09-13 15:50:38 PDT
*** Bug 751100 has been marked as a duplicate of this bug. ***
Comment 6 User image Justin Dolske [:Dolske] 2014-09-13 17:16:11 PDT
Created attachment 8489055 [details] [diff] [review]
Patch v.1

So. Much. Cruft.

remote: You can view the progress of your build at the following URL:
remote:   https://tbpl.mozilla.org/?tree=Try&rev=2a065c271125
remote: Alternatively, view them on Treeherder (experimental):
remote:   https://treeherder.mozilla.org/ui/#/jobs?repo=try&revision=2a065c271125
Comment 7 User image Justin Dolske [:Dolske] 2014-09-13 17:24:36 PDT
One thought as I was ripping this code out: is there any reason to keep PFS working in Firefox 34/33?

There's too much here to uplift the whole patch, but the same effect could be achieved with a 1-liner fix: make showInstallNotification() in browser-plugins.js immediately return false.
Comment 8 User image Georg Fritzsche [:gfritzsche] 2014-09-14 10:55:54 PDT
Comment on attachment 8489055 [details] [diff] [review]
Patch v.1

Review of attachment 8489055 [details] [diff] [review]:
-----------------------------------------------------------------

Oh, that's pretty spread out.
It would be great to base the browser-plugins.js/browser.js parts on bug 899347 or coordinate with mconley there, as that bug is about to land.
Comment 9 User image Justin Dolske [:Dolske] 2014-09-14 13:17:49 PDT
I don't think bug 899347 landing first should be a problem, it looks like a fairly trivial update to this patch to just rip out the same code from where it's moved to.
Comment 10 User image Justin Dolske [:Dolske] 2014-09-14 13:27:04 PDT
Comment on attachment 8489055 [details] [diff] [review]
Patch v.1

Try was mostly green, just a few failures (retriggered) which offhand seem more likely to be intermittent.
Comment 11 User image Benjamin Smedberg [:bsmedberg] 2014-09-15 07:25:52 PDT
Comment on attachment 8489055 [details] [diff] [review]
Patch v.1

\o/ !!!!
Comment 12 User image Justin Dolske [:Dolske] 2014-09-15 13:11:08 PDT
Created attachment 8489597 [details] [diff] [review]
Patch v.2

Updated to what landed in bug bug 899347 (which has since bounced).
Comment 13 User image Hong Tang 2014-09-17 18:50:33 PDT
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #4)
> Hector, there is no special treatment planned for Flash. Pretty much every
> site I've seen either falls back reasonably to HTML5 video, or prompts the
> user to install Flash using JS. Is that really not the case for major video
> sites?
> 
> Also note that since Flash is bundled with Windows 8+, we'd only be talking
> about new installs of Windows 7 or older, which isn't a growth market.

By contacting to Tencent which is one of the larget internet player in China for modifing their sites.
It sounds like the only thing we can do for China users is to pull it back and bundle it with China Edition ??
Comment 14 User image Benjamin Smedberg [:bsmedberg] 2014-09-18 06:48:18 PDT
I don't know what "pull it back" means in this context. If you think Flash discovery is unusually important in the China edition, you could add some code specifically for Flash: but I'm skeptical that it actually matters in the market.

Also, please fix the UI and avoid the server dependency if you're going to do this. You can just hardcode https://get.adobe.com/flashplayer/ in the client.
Comment 15 User image Justin Dolske [:Dolske] 2014-09-18 10:02:36 PDT
https://hg.mozilla.org/integration/fx-team/rev/d1ae4274cf8b
Comment 16 User image Justin Dolske [:Dolske] 2014-09-18 11:01:36 PDT
I've closed the remaining 62 open bugs in Toolkit :: Plugin Finder Service, and filed bug 1069487 to inactivate that component in bugzilla.
Comment 17 User image Carsten Book [:Tomcat] 2014-09-19 05:28:50 PDT
https://hg.mozilla.org/mozilla-central/rev/d1ae4274cf8b
Comment 18 User image Masatoshi Kimura [:emk] 2014-11-23 07:45:19 PST
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #4)
> Also note that since Flash is bundled with Windows 8+, we'd only be talking
> about new installs of Windows 7 or older, which isn't a growth market.

The Flash Player bundled with Win8+ is unusable from Firefox (it is ActiveX only). Users will still have to download NPAPI Flash Player from Adobe.
Comment 19 User image hartnegg 2015-06-14 10:42:34 PDT
(In reply to Justin Dolske [:Dolske] from comment #15)
> https://hg.mozilla.org/integration/fx-team/rev/d1ae4274cf8b

Just dropping two keywords here, to help others find this bug with the search function:
plugins.notifyMissingFlash
plugins.hide_infobar_for_missing_plugin

This bug is where these two prefs were removed from Firefox.

Reason for removal: they are not needed any more, because the function, which they disabled, was removed as well.

Note You need to log in before you can comment on or make changes to this bug.